## FoString FoString |

## Synopsis

                        FoString;
                        FoStringClass;
    FoDatatype*         fo_string_new                       (void);
    FoDatatype*         fo_string_new_with_value            (const gchar *value);
    gchar*              fo_string_get_value                 (FoDatatype *string);

    FoDatatype*         fo_string_get_string_one            (void);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoString

## Properties

      "value"                    gchar*                : Read / Write / Construct Only

## Description

## Details

### FoString

    typedef struct _FoString FoString;

### FoStringClass

    typedef struct _FoStringClass FoStringClass;

### fo_string_new ()

    FoDatatype*         fo_string_new                       (void);

Creates a new FoString initialized to default value.

Returns : | the new FoString

### fo_string_new_with_value ()

    FoDatatype*         fo_string_new_with_value            (const gchar *value);

Creates a new FoString set to `value`.

`value` : | String of the new FoString.
Returns : | The new FoString.

### fo_string_get_value ()

    gchar*              fo_string_get_value                 (FoDatatype *string);

Get the value of `string`.

`string` : | FoString.
Returns : | Numeric value of `string`.

### fo_string_get_string_one ()

    FoDatatype*         fo_string_get_string_one            (void);

Create and return an FoString with the well-known value "1".

This saves creation of multiple FoString objects that all have the value "1".

Returns : | FoString with value "1".

## Property Details

### The `"value"` property

      "value"                    gchar*                : Read / Write / Construct Only

String value.

Default value: NULL